statistics in vBulletin
  1. This site is not associated with any agent or consultant and colleges/universities. Views & Opinions expressed here are solely author's comment and Topuniversityforum.in is not responsible for them. Please don't make derogatory or abusive remarks against anyone.
  2. Prepare for GMAT, CAT, IIT, PMT & Other Entrance Exams. Post your questions and get answers. Collaborate, Learn & Grow.
    Dismiss Notice
  3. Hi Please download our Android App and enjoy the benefit of this forum on your smartphone. Download in Playstore
    Dismiss Notice
  4. Find Best Colleges in your Area, review them and share feedback.
    Dismiss Notice

URL fetch failure on https://firebasestorage.googleapis.com/v0/b/mtl-sentence-representations.appspo

Discussion in 'Artificial Intelligence & Machine Learning' started by bharose, Feb 11, 2021.

  1. bharose

    bharose New Member

    I am running google colab notebook on text classification and trying to download data by running following command;

    Code:
    data_dir = tf.keras.utils.get_file(
          fname='SST-2.zip',
          origin='https://firebasestorage.googleapis.com/v0/b/mtl-sentence-representations.appspot.com/o/data%2FSST-2.zip?alt=media&token=aabc5f6b-e466-44a2-b9b4-cf6337f84ac8',
          extract=True)
    data_dir = os.path.join(os.path.dirname(data_dir), 'SST-2')
    But i am getting following error;

    Code:
    Downloading data from https://firebasestorage.googleapis.com/v0/b/mtl-sentence-representations.appspot.com/o/data%2FSST-2.zip?alt=media&token=aabc5f6b-e466-44a2-b9b4-cf6337f84ac8
    ---------------------------------------------------------------------------
    HTTPError                                 Traceback (most recent call last)
    /usr/local/lib/python3.6/dist-packages/tensorflow/python/keras/utils/data_utils.py in get_file(fname, origin, untar, md5_hash, file_hash, cache_subdir, hash_algorithm, extract, archive_format, cache_dir)
        274       try:
    --> 275         urlretrieve(origin, fpath, dl_progress)
        276       except HTTPError as e:
    
    8 frames
    HTTPError: HTTP Error 403: Forbidden
    
    During handling of the above exception, another exception occurred:
    
    Exception                                 Traceback (most recent call last)
    /usr/local/lib/python3.6/dist-packages/tensorflow/python/keras/utils/data_utils.py in get_file(fname, origin, untar, md5_hash, file_hash, cache_subdir, hash_algorithm, extract, archive_format, cache_dir)
        275         urlretrieve(origin, fpath, dl_progress)
        276       except HTTPError as e:
    --> 277         raise Exception(error_msg.format(origin, e.code, e.msg))
        278       except URLError as e:
        279         raise Exception(error_msg.format(origin, e.errno, e.reason))
    
    Exception: URL fetch failure on https://firebasestorage.googleapis.com/v0/b/mtl-sentence-representations.appspot.com/o/data%2FSST-2.zip?alt=media&token=aabc5f6b-e466-44a2-b9b4-cf6337f84ac8: 403 -- Forbidden
    I couldn't find any solution for this problem anywhere on the web.
     

Share This Page